if (typeof(CFPrint_mode2) == "undefined") {
  var CFPrint_mode2 = function () {
    this._ver = "1.3";
    this.http = null;
    this.outputid = null
  };
  CFPrint_mode2.prototype.success = function (readyState, httpStatus, responseText) {
  };
  CFPrint_mode2.prototype.failed = function (message) {
  };
  CFPrint_mode2.prototype.CreateHTTPRequestObject = function () {
    var forceActiveX = (window.ActiveXObject && location.protocol === "file:");
    if (window.XMLHttpRequest && !forceActiveX) {
      return new XMLHttpRequest()
    } else {
      try {
        return new ActiveXObject("Microsoft.XMLHTTP")
      } catch (e) {
      }
    }
    alert("Your browser doesn't support XML handling!");
    return null
  };
  CFPrint_mode2.prototype.IsRequestSuccessful = function (_http) {
    var success = (_http.status == 0 || (_http.status >= 200 && _http.status < 300) || _http.status == 304 || _http.status == 1223);
    return success
  };
  CFPrint_mode2.prototype.SendRequest = function (url, data, _success, _failed) {
    this.success = _success;
    this.failed = _failed;
    if (!this.http) {
      this.http = this.CreateHTTPRequestObject()
    }
    if (this.http) {
      try {
        var _params = '_reportData=' + encodeURIComponent(data);
        this.http.onreadystatechange = OnStateChange;
        this.http.open('POST', url, true);
        this.http.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        this.http.send(_params)
      } catch (e) {
        this.failed(e.description)
      }
    }
  };
  CFPrint_mode2.prototype.writeOutput = function (msg) {
    if (this.outputid != null) {
      var output = document.getElementById(this.outputid);
      if (output) {
        output.innerHTML += msg
      }
    }
  };
  CFPrint_mode2.prototype.parseJSON = function (txt) {
    if (typeof(JSON) == 'undefined') {
      return eval("(" + txt + ")")
    } else {
      return JSON.parse(txt)
    }
  }
}
;
if (typeof(OnStateChange) == "undefined") {
  function OnStateChange() {
    switch (CFPrint.http.readyState) {
      case 0:
        CFPrint.writeOutput("httpRequest对象未初始化.<br/>");
        break;
      case 1:
        CFPrint.writeOutput("等待发送数据.<br/>");
        break;
      case 2:
        CFPrint.writeOutput("已发送数据，等待服务器返回信息.<br/>");
        break;
      case 3:
        CFPrint.writeOutput("正在接收服务器返回信息.<br/>");
        break;
      case 4:
        CFPrint.writeOutput("数据接收完毕:<br/><span style='margin-left:30px; color:blue'>" + CFPrint.http.responseText + "</span><br/>");
        CFPrint.success(CFPrint.http.readyState, CFPrint.http.status, CFPrint.http.responseText);
        break
    }
  }
}
;
if (!CFPrint) var CFPrint = new CFPrint_mode2();